python-yade_1.12.0-2~bpo70+1_amd64.deb


Advertisement

Description

python-yade - Platform for discrete element modeling. Python bindings

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Backports Main amd64
Package filename python-yade_1.12.0-2~bpo70+1_amd64.deb
Package name python-yade
Package version 1.12.0
Package release 2~bpo70+1
Package architecture amd64
Package type deb
Homepage -
License -
Maintainer -
Download size 3.03 MB
Installed size 14.21 KB
Yet Another Dynamic Engine.
Extensible open-source framework for discrete numerical models,
focused on Discrete Element Method.
The computation parts are written in c++ using flexible object model,
allowing independent implementation of new algorithms and interfaces.
Python is used for rapid and concise scene construction,
simulation control, postprocessing and debugging.
This package contains python bindings for yade.

Alternatives

Package Version Architecture Repository
python-yade_1.11.1-3~bpo70+1_i386.deb 1.11.1 i386 Debian Backports Main
python-yade - - -

Requires

Name Value
libboost-filesystem1.49.0 >= 1.49.0-1
libboost-iostreams1.49.0 >= 1.49.0-1
libboost-python1.49.0 >= 1.49.0-1
libboost-serialization1.49.0 >= 1.49.0-1
libboost-system1.49.0 >= 1.49.0-1
libc6 >= 2.4
libgcc1 >= 1:4.1.1
libgl1 -
libgl1-mesa-glx -
libgl2ps0 -
libgomp1 >= 4.4
libgts-0.7-5 >= 0.7.6
libpython2.7 >= 2.7
libqglviewer-qt4-2 >= 2.3.4
libqt4-opengl >= 4:4.5.3
libqtcore4 >= 4:4.5.3
libqtgui4 >= 4:4.5.3
libstdc++6 >= 4.6
libyade = 1.12.0-2~bpo70+1
python << 2.8
python >= 2.7
python-argparse -
python-imaging -
python-matplotlib -
python-numpy >= 1:1.6.1
python-numpy-abi9 -
python-qt4 -
python-tk -
python-xlib -

Replaces

Name Value
yade << 0.97.0-2

Download

Type URL
Mirror ftp.br.debian.org
Binary Package python-yade_1.12.0-2~bpo70+1_amd64.deb
Source Package yade

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    deb http://ftp.debian.org/debian/ wheezy-backports main
  2. Update the package index:
    # sudo apt-get update
  3. Install python-yade deb package:
    # sudo apt-get install python-yade

Files

Path
/usr/lib/pyshared/python2.7/yade/WeightedAverage2d.so
/usr/lib/pyshared/python2.7/yade/_customConverters.so
/usr/lib/pyshared/python2.7/yade/_packObb.so
/usr/lib/pyshared/python2.7/yade/_packPredicates.so
/usr/lib/pyshared/python2.7/yade/_packSpheres.so
/usr/lib/pyshared/python2.7/yade/_polyhedra_utils.so
/usr/lib/pyshared/python2.7/yade/_utils.so
/usr/lib/pyshared/python2.7/yade/boot.so
/usr/lib/pyshared/python2.7/yade/wrapper.so
/usr/lib/pyshared/python2.7/yade/qt/_GLViewer.so
/usr/lib/python2.7/dist-packages/yade/WeightedAverage2d.so
/usr/lib/python2.7/dist-packages/yade/__init__.py
/usr/lib/python2.7/dist-packages/yade/_customConverters.so
/usr/lib/python2.7/dist-packages/yade/_extraDocs.py
/usr/lib/python2.7/dist-packages/yade/_packObb.so
/usr/lib/python2.7/dist-packages/yade/_packPredicates.so
/usr/lib/python2.7/dist-packages/yade/_packSpheres.so
/usr/lib/python2.7/dist-packages/yade/_polyhedra_utils.so
/usr/lib/python2.7/dist-packages/yade/_utils.so
/usr/lib/python2.7/dist-packages/yade/bodiesHandling.py
/usr/lib/python2.7/dist-packages/yade/boot.so
/usr/lib/python2.7/dist-packages/yade/config.py
/usr/lib/python2.7/dist-packages/yade/export.py
/usr/lib/python2.7/dist-packages/yade/geom.py
/usr/lib/python2.7/dist-packages/yade/linterpolation.py
/usr/lib/python2.7/dist-packages/yade/pack.py
/usr/lib/python2.7/dist-packages/yade/params.py
/usr/lib/python2.7/dist-packages/yade/plot.py
/usr/lib/python2.7/dist-packages/yade/polyhedra_utils.py
/usr/lib/python2.7/dist-packages/yade/post2d.py
/usr/lib/python2.7/dist-packages/yade/remote.py
/usr/lib/python2.7/dist-packages/yade/runtime.py
/usr/lib/python2.7/dist-packages/yade/system.py
/usr/lib/python2.7/dist-packages/yade/timing.py
/usr/lib/python2.7/dist-packages/yade/utils.py
/usr/lib/python2.7/dist-packages/yade/wrapper.so
/usr/lib/python2.7/dist-packages/yade/ymport.py
/usr/lib/python2.7/dist-packages/yade/qt/Inspector.py
/usr/lib/python2.7/dist-packages/yade/qt/SerializableEditor.py
/usr/lib/python2.7/dist-packages/yade/qt/_GLViewer.so
/usr/lib/python2.7/dist-packages/yade/qt/__init__.py
/usr/lib/python2.7/dist-packages/yade/qt/img_rc.py
/usr/lib/python2.7/dist-packages/yade/qt/ui_controller.py
/usr/lib/python2.7/dist-packages/yade/tests/__init__.py
/usr/lib/python2.7/dist-packages/yade/tests/clump.py
/usr/lib/python2.7/dist-packages/yade/tests/cohesive-chain.py
/usr/lib/python2.7/dist-packages/yade/tests/core.py
/usr/lib/python2.7/dist-packages/yade/tests/engines.py
/usr/lib/python2.7/dist-packages/yade/tests/pbc.py
/usr/lib/python2.7/dist-packages/yade/tests/wrapper.py
/usr/share/doc/python-yade/changelog.Debian.gz
/usr/share/doc/python-yade/changelog.gz
/usr/share/doc/python-yade/copyright
/usr/share/lintian/overrides/python-yade
/usr/share/pyshared/yade/__init__.py
/usr/share/pyshared/yade/_extraDocs.py
/usr/share/pyshared/yade/bodiesHandling.py
/usr/share/pyshared/yade/config.py
/usr/share/pyshared/yade/export.py
/usr/share/pyshared/yade/geom.py
/usr/share/pyshared/yade/linterpolation.py
/usr/share/pyshared/yade/pack.py
/usr/share/pyshared/yade/params.py
/usr/share/pyshared/yade/plot.py
/usr/share/pyshared/yade/polyhedra_utils.py
/usr/share/pyshared/yade/post2d.py
/usr/share/pyshared/yade/remote.py
/usr/share/pyshared/yade/runtime.py
/usr/share/pyshared/yade/system.py
/usr/share/pyshared/yade/timing.py
/usr/share/pyshared/yade/utils.py
/usr/share/pyshared/yade/ymport.py
/usr/share/pyshared/yade/qt/Inspector.py
/usr/share/pyshared/yade/qt/SerializableEditor.py
/usr/share/pyshared/yade/qt/__init__.py
/usr/share/pyshared/yade/qt/img_rc.py
/usr/share/pyshared/yade/qt/ui_controller.py
/usr/share/pyshared/yade/tests/__init__.py
/usr/share/pyshared/yade/tests/clump.py
/usr/share/pyshared/yade/tests/cohesive-chain.py
/usr/share/pyshared/yade/tests/core.py
/usr/share/pyshared/yade/tests/engines.py
/usr/share/pyshared/yade/tests/pbc.py
/usr/share/pyshared/yade/tests/wrapper.py

Changelog

2014-11-05 - Anton Gladky <gladk@debian.org>
yade (1.12.0-2~bpo70+1) wheezy-backports; urgency=medium
* Rebuild for wheezy-backports.
* Let yade be built only on specific archs.
2014-10-24 - Anton Gladky <gladk@debian.org>
yade (1.12.0-2) unstable; urgency=medium
* [24108c8] Use on i386 and kfreebsd-i386 compiler flags to reduce 
RAM iconsumption during compilation.
2014-10-20 - Anton Gladky <gladk@debian.org>
yade (1.12.0-1) unstable; urgency=medium
* [3bba065] Imported Upstream version 1.12.0. (Closes: #763259)
* [1ac4c00] Remove patch applied by upstream.
* [0b5f802] Set Standards-Version: 3.9.6. No changes.
2014-09-10 - Anton Gladky <gladk@debian.org>
yade (1.11.1-3~bpo70+1) wheezy-backports; urgency=medium
* Rebuild for wheezy-backports.
2014-09-04 - Anton Gladky <gladk@debian.org>
yade (1.11.1-3) unstable; urgency=medium
* [dbf4ef8] Drop parallel builds.
2014-09-01 - Anton Gladky <gladk@debian.org>
yade (1.11.1-2) unstable; urgency=medium
* [6a919b1] Fix FTBFS on 32-bit platforms.
2014-08-30 - Anton Gladky <gladk@debian.org>
yade (1.11.1-1) unstable; urgency=medium
* [dcde06c] Imported Upstream version 1.11.1
* [bd5a05a] Remove patches, applied by upstream.
2014-08-11 - Anton Gladky <gladk@debian.org>
yade (1.11.0-2) unstable; urgency=medium
* [85ceffc] Fix autotest DEM-PFV. (Closes: #757576)
* [672fa7a] Let build-indep target be built.
* [ca274c2] Apply upstream fix: segfault on removing clumps.
2014-08-04 - Anton Gladky <gladk@debian.org>
yade (1.11.0-1) unstable; urgency=medium
* [a0600ae] Imported Upstream version 1.11.0
* [a3055e0] Do not use parallel build on kfreebsd-amd64 and s390x.
* [f86b405] Remove applied patches.
2014-07-26 - Anton Gladky <gladk@debian.org>
yade (1.10.0-3) unstable; urgency=medium
* [d899560] Revert to "Architecture: any".
* [d87d238] Add --parallel option.
* [2babdea] Fix warning in stderr, which broke autopkgtest.

See Also

Package Description
python-yara_3.1.0-2~bpo70+1_amd64.deb help to identify and classify malwares (Python bindings)
python-zmq_13.1.0-1~bpo70+1_amd64.deb Python bindings for 0MQ library
python3-appdirs_1.3.0-1~bpo70+1_all.deb determining appropriate platform-specific directories (Python 3)
python3-astroid_1.2.1-3~bpo70+1_all.deb rebuild a new abstract syntax tree from Python's AST (Python3)
python3-cffi_0.8.6-1~bpo70+1_amd64.deb Foreign Function Interface for Python 3 calling C code
python3-cloud-sptheme_1.6-1~bpo70+1_all.deb Cloud Sphinx theme and related extensions (python3 version)
python3-crcmod_1.7-1~bpo70+1_amd64.deb CRC Generator - python 3.x
python3-debian_0.1.21+nmu2~bpo70+1_all.deb Python 3 modules to work with Debian-related data formats
python3-deltarpm_3.6+dfsg-1~bpo7+1_amd64.deb Python3 bindings for deltarpm
python3-dirspec_4.2.0-1~bpo70+1_all.deb Python User Folders Specification Library
python3-django_1.7.1-1~bpo70+1_all.deb High-level Python web development framework (Python 3 version)
python3-docopt_0.6.2-1~bpo70+1_all.deb command-line interface description language (Python3)
python3-ecdsa_0.11-1~bpo70+1_all.deb ECDSA cryptographic signature library (Python 3)
python3-hivex_1.3.9-1~bpo70+1_amd64.deb Python 3 bindings for hivex
python3-itsdangerous_0.24+dfsg1-1~bpo70+1_all.deb Various helpers to pass trusted data to untrusted environment - python 3.x
Advertisement
Advertisement